close all ;

LinearAdvectionModel( 'setup',              1 ) ;
LinearAdvectionModel( 'set_test',           'classroomproblem' ) ;
LinearAdvectionModel( 'set_numerical_flux', 'godunov' ) ;
LinearAdvectionModel( 'set_limiter',        'godunov' ) ;

PRB . CFL       = 2*LinearAdvectionModel( 'get_cfl' ) ;
PRB . FinalTime = 1.5 ;
PRB . Ncells    = 800   ; % select 100 cell inteval subdivision
PRB . StepTime  = 8   ;

% call the solver
[ UFRAMES, TFRAMES ] = Solver(PRB,@LinearAdvectionModel) ;

U = UFRAMES(:,:,end) ; % extract the numerical solutions at the last computed time
X = LinearAdvectionModel( 'get_x' ) ;
  
handleFig = figure('Position',[10 10 1000 600],'color','w') ;
plot(X, U,'-ob','MarkerFaceColor','b');
