%
% Compute error in various norm:
%
function [NR1,NR2,NRi] = ComputeError( UFRAMES, TFRAMES, MODEL )
  [dummy,nframes] = size(TFRAMES) ;
  Un      = UFRAMES(:,:,nframes) ;
  [M,N]   = size(Un) ;
  [Xe,Ue] = feval( MODEL, 'exact', TFRAMES(nframes), N ) ;
  Udiff   = Ue - Un ;
  NR1     = norm(Udiff,1)/N ;
  NR2     = norm(Udiff,2)/sqrt(N) ;
  NRi     = norm(Udiff,inf) ;
end
